petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMForestSetCellWeights

Set the weights assigned to each of the cells (see DMForestGetCellChart()) of the current process: weights are used to determine parallel partitioning. Partitions will be created so that each process's ratio of weight to capacity (see DMForestSetWeightCapacity()) is roughly equal. If NULL, each cell receives a weight of 1.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestSetCellWeights(DM dm, PetscReal weights[], PetscCopyMode copyMode)

Logically collective on dm

### Input Parameters

| dm | - the forest
| weights | - the array of weights for all cells, or NULL to indicate each cell has weight 1.
| copyMode | - how weights should reference weights

### See Also

DMForestGetCellWeights(), DMForestSetWeightCapacity()

Level:advanced
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages